Bug 213230 - Wine startup script fails when changing runrevel
Wine startup script fails when changing runrevel
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-10-31 07:17 EST by Stefan Hoelldampf
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-16 06:23:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stefan Hoelldampf 2006-10-31 07:17:47 EST
Description of problem:
The wine startup scripts fails when changing the runlevel e.g. from 5 to 3.
The output is:

Registering binary handler for Windows applications/etc/rc3.d/S98wine: line 16:
echo: write error: Invalid argument
/etc/rc3.d/S98wine: line 17: echo: write error: Invalid argument

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. Change runlevel from 5 to 3
Actual results:
Error in /etc/rc3.d/S98wine

Expected results:
No errors
Comment 1 Jeroen Beerstra 2006-11-09 10:24:45 EST
Same here the problem seems to be this:

[root@neo ~]# echo 1 > /proc/sys/fs/binfmt_misc/register 
-bash: echo: write error: Invalid argumemt
[root@neo ~]# cat /proc/sys/fs/binfmt_misc/register
cat: /proc/sys/fs/binfmt_misc/register: Invalid argument
[root@neo ~]# ls -la /proc/sys/fs/binfmt_misc/register
--w------- 1 root root 0 nov  9 16:18 /proc/sys/fs/binfmt_misc/register

The binary handler for wine seems to work just fine though, perhaps it needs and
can only be initialized once?

Comment 2 Andreas Bierfert 2006-11-09 14:02:57 EST
I believe this is the problem. I have to fix some other wine related bugs in the
next days and be sure this will be included :)

Note You need to log in before you can comment on or make changes to this bug.